net.sf.saxon.tree.util

## Interface SteppingNode<N extends SteppingNode>

- All Superinterfaces:
    Item, NodeInfo, PullEvent, Sequence, Source
  All Known Implementing Classes:
    AbsentExtensionElement, AnnotationParent, DataElement, DocumentImpl, DocumentWrapper, DOM4JDocumentWrapper, DOM4JNodeWrapper, DOMNodeWrapper, ElementImpl, ExtensionInstruction, LiteralResultElement, NodeImpl, SaxonAssign, SaxonCallTemplate, SaxonCollation, SaxonDoctype, SaxonEntityRef, SaxonImportQuery, SaxonParam, SaxonPreprocess, SaxonWhile, SchemaElement, SQLClose, SQLColumn, SQLConnect, SQLDelete, SQLExecute, SQLInsert, SQLQuery, SQLUpdate, StyleElement, TextImpl, TextValueTemplateNode, UnknownElement, XOMDocumentWrapper, XOMNodeWrapper, XSDAlternative, XSDAnnotation, XSDAny, XSDAnyAttribute, XSDAssert, XSDAttribute, XSDAttributeGroup, XSDComplexContent, XSDComplexContentRestriction, XSDComplexType, XSDCompositor, XSDDefaultOpenContent, XSDDocumentation, XSDElement, XSDExtension, XSDFacet, XSDFieldOrSelector, XSDGroup, XSDIdentityConstraint, XSDImport, XSDInclude, XSDList, XSDNotation, XSDOpenContent, XSDOverride, XSDRedefine, XSDSchema, XSDSimpleContent, XSDSimpleContentRestriction, XSDSimpleType, XSDSimpleTypeRestriction, XSDUnion, XSLAccumulator, XSLAccumulatorRule, XSLAnalyzeString, XSLApplyImports, XSLApplyTemplates, XSLAssert, XSLAttribute, XSLAttributeSet, XSLBreak, XSLBreakOrContinue, XSLCallTemplate, XSLCatch, XSLCharacterMap, XSLChoose, XSLComment, XSLCopy, XSLCopyOf, XSLDecimalFormat, XSLDocument, XSLElement, XSLEvaluate, XSLFallback, XSLForEach, XSLForEachGroup, XSLFork, XSLFunction, XSLGeneralIncorporate, XSLGeneralVariable, XSLGlobalParam, XSLGlobalVariable, XSLIf, XSLImport, XSLImportSchema, XSLInclude, XSLIterate, XSLKey, XSLLeafNodeConstructor, XSLLocalParam, XSLLocalVariable, XSLMap, XSLMapEntry, XSLMatchingSubstring, XSLMerge, XSLMergeAction, XSLMergeKey, XSLMergeSource, XSLMessage, XSLMode, XSLNamespace, XSLNamespaceAlias, XSLNextIteration, XSLNextMatch, XSLNumber, XSLOnCompletion, XSLOtherwise, XSLOutput, XSLOutputCharacter, XSLPerformSort, XSLPreserveSpace, XSLProcessingInstruction, XSLResultDocument, XSLSequence, XSLSort, XSLSortOrMergeKey, XSLStream, XSLStylesheet, XSLTemplate, XSLText, XSLTry, XSLValueOf, XSLWhen, XSLWithParam

      public interface SteppingNode<N extends SteppingNode>
      extends NodeInfo

  This interface can be implemented by an implementation of NodeInfo to take advantage of a generic implementation of the descendant axis found in class `SteppingNavigator`

- - ### Field Summary

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `ALL_NAMESPACES, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `N` | `getFirstChild()` Get the first child of this node
    `N` | `getNextSibling()` Get the next sibling of this node
    `N` | `getParent()` Get the parent of this node
    `N` | `getPreviousSibling()` Get the previous sibling of this node
    `N` | `getSuccessorElement(N anchor, String uri, String local)` Find the next matching element in document order; that is, the first child element with the required name if there is one; otherwise the next sibling element if there is one; otherwise the next sibling element of the parent, grandparent, etc, up to the anchor element.

    - ### Methods inherited from interface net.sf.saxon.om.NodeInfo

      `atomize, compareOrder, comparePosition, copy, equals, generateId, getAttributeValue, getBaseURI, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNamePool, getNodeKind, getPrefix, getRoot, getSchemaType, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, hashCode, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, iterateAxis`

    - ### Methods inherited from interface javax.xml.transform.Source

      `setSystemId`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getStringValueCS`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `head, iterate`

- - ### Method Detail

    - #### getParent

          N getParent()

      Get the parent of this node
      Specified by:
        `getParent` in interface `NodeInfo`
      Returns:
        the parent of this node; or null if it is the root of the tree

    - #### getNextSibling

          N getNextSibling()

      Get the next sibling of this node
      Returns:
        the next sibling if there is one, or null otherwise

    - #### getPreviousSibling

          N getPreviousSibling()

      Get the previous sibling of this node
      Returns:
        the previous sibling if there is one, or null otherwise

    - #### getFirstChild

          N getFirstChild()

      Get the first child of this node
      Returns:
        the first child if there is one, or null otherwise

    - #### getSuccessorElement

          N getSuccessorElement(N anchor,
                              String uri,
                              String local)

      Find the next matching element in document order; that is, the first child element with the required name if there is one; otherwise the next sibling element if there is one; otherwise the next sibling element of the parent, grandparent, etc, up to the anchor element.
      Parameters:
        `anchor` - the root of the tree within which navigation is confined
        `uri` - the required namespace URI, or null if any namespace is acceptable
        `local` - the required local name, or null if any local name is acceptable
      Returns:
        the next element after this one in document order, with the given URI and local name if specified, or null if this is the last node in the document, or the last node within the subtree being navigated

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.